package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdDerivativesDTO implements Serializable {

    private static final long serialVersionUID = 440046402907898L;

    private Integer id;

    private Integer srcId;

    private String srcType;

    private Integer derivedId;

    private String derivedType;

    private Character transformed;

    private String originalIdentifier;

    private String newIdentifier;

    private String derivedObjectNamespace;

    private String derivativeReason;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer derivedConnectionIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public Integer getSrcId() {
    return srcId;
    }

        public void setSrcId(Integer srcId) {
    this.srcId = srcId;
    }

        public String getSrcType() {
    return srcType;
    }

        public void setSrcType(String srcType) {
    this.srcType = srcType;
    }

        public Integer getDerivedId() {
    return derivedId;
    }

        public void setDerivedId(Integer derivedId) {
    this.derivedId = derivedId;
    }

        public String getDerivedType() {
    return derivedType;
    }

        public void setDerivedType(String derivedType) {
    this.derivedType = derivedType;
    }

        public Character getTransformed() {
    return transformed;
    }

        public void setTransformed(Character transformed) {
    this.transformed = transformed;
    }

        public String getOriginalIdentifier() {
    return originalIdentifier;
    }

        public void setOriginalIdentifier(String originalIdentifier) {
    this.originalIdentifier = originalIdentifier;
    }

        public String getNewIdentifier() {
    return newIdentifier;
    }

        public void setNewIdentifier(String newIdentifier) {
    this.newIdentifier = newIdentifier;
    }

        public String getDerivedObjectNamespace() {
    return derivedObjectNamespace;
    }

        public void setDerivedObjectNamespace(String derivedObjectNamespace) {
    this.derivedObjectNamespace = derivedObjectNamespace;
    }

        public String getDerivativeReason() {
    return derivativeReason;
    }

        public void setDerivativeReason(String derivativeReason) {
    this.derivativeReason = derivativeReason;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getDerivedConnectionIdFk() {
    return derivedConnectionIdFk;
    }

        public void setDerivedConnectionIdFk(Integer derivedConnectionIdFk) {
    this.derivedConnectionIdFk = derivedConnectionIdFk;
    }

}